const db = require('../models');
const License = db.licenses;

// GET - /license/add
exports.getAdd = async function(req, res) {
  res.render('license/add.twig');
};

// POST - /license/add
exports.postAdd = async function(req, res) {
  const license = await License.create({
    name: req.body.license_name,
    key: req.body.license_key,
    manufacturer: req.body.license_manufacturer,
    purchasedFrom: req.body.license_purchase_from,
    purchasedAt: req.body.license_purchase_date,
  });

  console.log(`Saved license ${license.name} to the database.`);

  res.redirect('/');
};
